@charset "UTF-8";
@import "compass/css3";
.req-list {
    .ims-place {
        display: table;
        text-align: center;
        table-layout: fixed;
        width: 100%;
        height: 87px;
        margin-bottom: 2em;
        &-issued,
        &-time,
        &-ended {
            display: table-cell;
            vertical-align: middle;
        }
        &-issued {
            text-align: right;
        }
        &-ended {
            text-align: left;
        }
        &-issued,
        &-ended {
            font-weight: 400;
            font-size: $sys-font-size-h2;
            @include text-overflow;
        }
        &-time {
            width: 12em;
            padding: 0 2em;
        }
        &-date {
            color: $sys-gray-light;
            font-size: $sys-font-size-h6;
            display: block;
            margin-top: 25%;
            border-bottom: 4px solid #D9D9D9;
            padding-bottom: 3px;
        }
        .go-timeline {
            position: absolute;
            font-size: 12px;
            /* width: 100%; */
            left: -5em;
            width: 20em;
            padding: 1em 1em 3em 0;
        }
        .req-trip-time {
            font-size: 18px;
            time {
                color: #3f51b5;
            }
        }
        .req-description-panel {
            background: #f4f4f4;
            text-align: left;
            padding: 11px;
            margin-top: 30px;
            word-break: break-all;
            height: 43px;
        }
        .audio-text-panel {
            margin-top: 12px;
        }
        .req-description-text {
            font-size: 14px;
            line-height: 1.5;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }
    }
    .margin-bottom-lg-panel {
        margin-bottom: 43px;
    }
    $route-width: 25em;
    .ims-place-route {
        min-width: $route-width;
        padding-top: 0;
        left: 0 - $route-width / 3;
    }
    &-audio-title {
        text-align: center;
        margin-bottom: 19px;
        margin-top: 15px;
        .btn-link:hover,
        .btn-link:focus {
            text-decoration: none;
        }
        span {
            margin-left: 3px;
        }
    }
    &-number {
        padding: 6px 0;
        span:first-child {
            margin-right: 10px;
        }
        span {
            margin-left: 4px;
        }
        @media (min-width:1200px) and (max-width:1414px) {
            display: none
        }
    }
    &-number-bottom-panel {
        display: none;
        padding: 0 15px;
        @media (min-width: 1200px) and (max-width: 1414px) {
            display: block;
        }
    }
}

.tmc_list {
    margin: 0;
    padding: 0;
    padding-top: 20px;
    white-space: nowrap;
    li {
        display: inline-block;
        margin: 0 7px;
        img {
            width: 45px;
            height: 45px;
            border-radius: 45px;
        }
    }
}

.book-list-wrap {
    margin-left: -20px;
    margin-right: -20px;
    .header {
        height: 100px;
        .step-wrap {
            margin-bottom: 0px;
        }
        .toggle-btn {
            height: 54px;
            padding-top: 20px;
        }
        label {
            margin-right: 20px;
            input {
                vertical-align: top;
            }
            cursor: pointer;
        }
    }
}

.step-wrap-2 {
    height: 80px;
    border-radius: 5px;
    font-size: 0;
    padding: 0;
    margin-bottom: 0px;
    background-color: #FEDEAF;
    li {
        position: relative;
        display: inline-block;
        font-size: 14px;
        width: 25%;
        height: 100%;
        p {
            padding: 0;
            margin: 0;
        }
        .arrow {
            position: absolute;
            right: -10px;
            top: 50%;
            margin-top: -12px;
            font-size: 30px;
            color: #ffac47;
        }
    }
    .btn {
        position: absolute;
        color: #fff;
        border: 0;
        left: 10px;
        top: 24px;
        width: 90px;
    }
    .step-number {
        $step-cicle-width: 25px;
        text-align: center;
        margin-top: 15px;
        i {
            display: inline-block;
            font-style: normal;
            width: $step-cicle-width;
            height: $step-cicle-width;
            border-radius: $step-cicle-width/2;
            text-align: center;
            line-height: $step-cicle-width;
            background-color: #FF9800;
            color: #fff;
        }
    }
    .step-tip {
        width: 100%;
        color: #FF9800;
        padding: 0 20px;
        margin-top: 5px;
        text-align: center;
        white-space: nowrap;
        text-overflow: ellipsis;
        overflow: hidden;
    }
}

.book-list {
    border-radius: 5px;
    .item {
        border-radius: 5px;
        font-size: 0;
        padding: 20px;
        padding-bottom: 40px;
        margin-bottom: 20px;
        background-color: #fff;
        .item-header {
            margin-bottom: 20px;
            border-bottom: 1px solid #e2e2e2;
            padding-bottom: 5px;
            > p {
                margin: 0;
                &.item-code {
                    font-size: 16px;
                    color: #333;
                }
                &.item-time {
                    font-size: 14px;
                    color: #959595;
                }
            }
        }
        .item-main {
            position: relative;
            display: table;
            width: 100%;
            .arrow-tip {
                position: absolute;
                top: 50%;
                transform: translateY(-50%);
                z-index: 100;
                margin-left: 2px;
                &.tip1 {
                    left: 25%;
                }
                &.tip2 {
                    left: 50%;
                }
                &.tip3 {
                    left: 75%;
                }
                &:after {
                    display: block;
                    content: '';
                    border-top: 60px solid transparent;
                    border-right: 13px solid transparent;
                    border-bottom: 60px solid transparent;
                    border-left: 13px solid #e0e0e0;
                    margin-left: 3px;
                }
            }
        }
        .order-direct {
            color: white;
            .tb-main-wrap {
                background: #31A9EF;
                @include border-radius(5px);
            }
            .money {
                font-size: 24px;
            }
            .tmc-logo {
                @include border-radius(50%);
                width: 40px;
                margin-right: 5px;
                margin-bottom: 5px;
            }
            &-code {
                margin-top: 22px;
                float: right;
            }
        }
        .table {
            position: relative;
            display: table-cell;
            border-left: 20px solid #fff;
            font-size: 14px;
            width: 25%;
            height: 100%;
            // border: 1px solid ;
            border-radius: 5px;
            vertical-align: middle;
            .audio {
                padding: 0!important;
                .audio-content {
                    width: 50%;
                }
                .audio-text-panel {
                    padding: 10px 0;
                }
            }
            .bottom-tip {
                position: absolute;
                bottom: -36px;
                width: 100%;
                left: 0;
                text-align: center;
                text-overflow: ellipsis;
                white-space: nowrap;
                overflow: hidden;
            }
            &.first {
                background-image: -webkit-linear-gradient(0deg, #51bef8, #2ca6ed);
                border-left: 0;
                padding-bottom: 85px;
            }
            .tb-main-wrap {
                display: table;
                width: 100%;
                height: 100%;
                min-height: 100px;
                padding-top: 60px;
                padding-bottom: 40px;
                &.order {
                    padding-top: 0;
                    padding-bottom: 0;
                }
                &.hasPay {
                    margin-top: -25px;
                }
            }
            .order {
                .tb-main {
                    .middle {
                        // text-align: center;
                        text-align: right;
                        font-size: 24px;
                        color: #fff;
                    }
                    .arrow {
                        float: right;
                        margin-right: 15px;
                        margin-left: 35px;
                    }
                }
            }
            .tb-header {
                position: absolute;
                width: 88%;
                top: 20px;
                left: 20px;
                .time {
                    display: inline-block;
                    width: 130px;
                }
                .code {
                    display: inline-block;
                    width: 38%;
                }
                .timeout {
                    text-align: center;
                    // margin-top: 20px;
                    > span {
                        font-size: 20px;
                        color: #0093FF;
                        padding: 0 5px;
                    }
                    .orange {
                        color: #ff9800;
                        font-size: 14px;
                    }
                }
            }
            @at-root.tb-main {
                display: table-cell;
                text-align: center;
                vertical-align: middle;
                &.more-two {
                    .order {
                        position: absolute;
                        top: 3px;
                        left: -25px;
                        > span {
                            display: inline-block;
                            border: 1px solid #fff;
                            width: 20px;
                            height: 20px;
                            line-height: 19px;
                            text-align: center;
                            color: #fff;
                            border-radius: 20px;
                            font-size: 12px;
                            &:after {
                                position: absolute;
                                content: "";
                                width: 1px;
                                height: 30px;
                                background: #b6e4fc;
                                top: 28px;
                                left: 10px;
                            }
                        }
                        &.last {
                            span {
                                &:after {
                                    display: none;
                                }
                            }
                        }
                    }
                }
                .audio {
                    width: 400px;
                    margin: 5px 0;
                    min-height: 55px;
                    .audio-content {
                        margin-left: 5%;
                        background-color: #fff;
                        border: 0;
                        .duration {
                            position: absolute;
                            right: -25px;
                            top: 10px;
                        }
                    }
                    .audio-text-panel {
                        text-align: left;
                        padding-left: 16px!important;
                    }
                }
                .req-status-text {
                    display: inline-block;
                    margin-top: 10px;
                }
                .audio-panel {
                    margin-bottom: 0px;
                    margin-top: -15px;
                }
                &.wechat {
                    text-align: center;
                    .flow-item {
                        width: 100%;
                        margin-bottom: 10px;
                        vertical-align: top;
                    }
                }
                .order-item-list {
                    display: inline-block;
                    list-style: none;
                    padding: 0;
                    margin-top: -30px;
                    .order-item {
                        text-align: right;
                        padding: 3px 0;
                        .badge {
                            margin-left: 10px;
                            min-width: 30px;
                            height: 20px;
                            line-height: 15px;
                            float: none;
                            vertical-align: middle;
                            border-radius: 15px;
                            background-color: #4caf50;
                        }
                    }
                }
                .flow {
                    text-align: center;
                }
                .flow-item {
                    vertical-align: top;
                    position: relative;
                    display: inline-block;
                    width: 75%;
                    white-space: nowrap;
                }
                p {
                    color: #fff;
                }
                .line {
                    height: 7px;
                    background-position: center;
                    background-repeat: no-repeat;
                    &.dashed {
                        background-image: url('/img/dashed.png');
                    }
                    &.one-trip {
                        background-image: url('/img/one-trip.png');
                    }
                    &.round-trip {
                        background-image: url('/img/round-trip.png');
                    }
                }
                .icon {
                    width: 28px;
                    height: 28px;
                    display: inline-block;
                    background-color: #fff;
                    color: #0099ff;
                    text-align: center;
                    line-height: 28px;
                    border-radius: 28px;
                }
                .left {
                    display: inline-block;
                    height: 60px;
                    width: 5em;
                    font-size: 16px;
                    text-align: center;
                    vertical-align: top;
                    padding: 0 5px;
                    &.noicon {}
                    p {
                        color: #fff;
                        max-width: 7em;
                        margin-bottom: 3px;
                        overflow: hidden;
                        white-space: nowrap;
                        text-overflow: ellipsis;
                    }
                }
                .right {
                    display: inline-block;
                    /* height: 70px; */
                    min-width: 60px;
                    /* padding: 10px 0; */
                    padding-top: 10px;
                    vertical-align: top;
                    .icons {
                        height: 28px;
                    }
                    vertical-align: top;
                    .icon {
                        margin: 0 5px;
                    }
                }
            }
            .tb-footer {
                position: absolute;
                height: 65px;
                bottom: 20px;
                left: 20px;
                width: 87%;
                p {
                    height: 21px;
                    color: #fff;
                    margin-bottom: 17px;
                }
                button {
                    color: #333;
                    border: 0;
                    &.fr {
                        float: right;
                    }
                    &.orange {
                        background-color: #ff9800;
                        color: #fff;
                        margin-top: 7px;
                    }
                }
                .count-info {
                    // width: 65%;
                    text-align: center;
                    p {
                        margin: 0;
                    }
                }
                .detail-btn {
                    position: relative;
                    > span {
                        display: inline-block;
                        width: 22px;
                        height: 22px;
                        background: #fd6e6e;
                        line-height: 22px;
                        text-align: center;
                        border-radius: 22px;
                        color: #fff;
                        top: -9px;
                        right: -11px;
                        position: absolute;
                    }
                }
                .order-footer {
                    margin-top: 45px;
                    .time {
                        float: right;
                    }
                }
                .footer-btn.order {
                    // margin-top: 30px;
                    p {
                        // float: left;
                        color: #ff9800;
                        .money {
                            font-size: 18px;
                        }
                    }
                }
                .btn-success {
                    color: #fff;
                }
            }
            &.last {
                &:after {
                    border-left: 13px solid transparent;
                    display: none;
                }
            }
            .no-case-wrap,
            .no-order-wrap,
            .no-order-wrap-direct {
                display: table;
                width: 100%;
                height: 100%;
                color: #333;
                // position: relative;
            }
            .no-case,
            .no-order {
                display: table-cell;
                vertical-align: middle;
                text-align: center;
                p {
                    padding: 0;
                    margin: 0;
                    color: #54c3f1;
                    &.time {
                        font-size: 38px;
                    }
                }
            }
            .time-only {
                vertical-align: middle!important;
                padding-top: 0!important;
            }
            .no-case.timeout {
                vertical-align: top;
                // padding-top: 20px;
                padding-bottom: 30px;
            }
            .no-order {
                p {
                    font-size: 24px;
                    color: #9e9e9e;
                }
            }
            .case-list {
                list-style: none;
                padding: 0;
                margin-bottom: -10px;
                li {
                    position: relative;
                    height: 120px;
                    margin-bottom: 10px;
                    padding: 10px 10px 10px 20px;
                    border-radius: 5px;
                    background-color: #54c3f1;
                    transition: all .3s;
                    cursor: pointer;
                    &:hover {
                        background-color: #41B9EA;
                    }
                    @at-root.left.avatar {
                        float: left;
                        width: 5em;
                        text-align: center;
                        margin-top: 17px;
                        img {
                            width: 40px;
                            height: 40px;
                            border-radius: 40px;
                        }
                        p {
                            color: #fff;
                            i {
                                position: absolute;
                                height: 22px;
                                width: 22px;
                                border-radius: 11px;
                                background-color: #FD6E6E;
                                top: -10px;
                                right: 7px;
                                color: #fff;
                                font-style: normal;
                            }
                        }
                        .name {
                            white-space: nowrap;
                            width: 7em;
                            text-overflow: ellipsis;
                            overflow: hidden;
                        }
                        &.order {
                            margin: 0;
                            width: 5em;
                            text-align: center;
                            margin-top: 15px;
                            .ava-img {
                                position: relative;
                                width: 40px;
                                display: inline-block;
                                vertical-align: middle;
                                text-align: center;
                                margin-bottom: 5px;
                            }
                            i {
                                top: -10px;
                                right: -9px;
                                text-align: center;
                            }
                            .name {
                                vertical-align: middle;
                                text-align: center;
                                width: 100%;
                            }
                        }
                    }
                    @at-root.right.name {
                        float: right;
                        text-align: right;
                        color: #fff;
                    }
                    .right {
                        width: 60%;
                        float: right;
                        text-align: right;
                        color: #fff;
                        .middle {
                            padding: 10px 0;
                            span {
                                font-size: 18px;
                            }
                            .money {
                                margin-right: 32px;
                            }
                        }
                    }
                }
            }
            .new:before {
                position: absolute;
                top: -2px;
                left: -2px;
                content: "";
                width: 39px;
                height: 41px;
                background: url('/img/new.png');
            }
            .selected-order {
                width: 100%;
                height: 100%;
                cursor: pointer;
                z-index: 1;
                @include border-radius(5px);
                &.new:before {
                    position: absolute;
                    top: -2px;
                    left: -2px;
                    content: "";
                    width: 39px;
                    height: 41px;
                    background: url('/img/new.png');
                }
                &:after {
                    position: absolute;
                    bottom: -4px;
                    left: -3px;
                    content: "";
                    width: 80px;
                    height: 78px;
                    background: url('/img/selected.png');
                }
                &.not-select:after {
                    display: none;
                }
            }
        }
        .selected-table {
            cursor: pointer;
            background: #54c3f1;
            transition: all .3s;
            &:hover {
                background: #41B9EA;
            }
        }
    }
    .btn.resubmit {
        position: absolute;
        bottom: 15px;
        left: 50%;
        transform: translateX(-50%);
    }
}

.float {
    position: fixed;
    top: 50%;
    right: 20px;
    margin-top: -95px;
    width: 120px;
    height: 190px;
    cursor: pointer;
    background: url('/img/float.png');
}

.order-footer {
    position: absolute;
    text-align: center;
    width: 100%;
    bottom: 15px;
    p {
        line-height: 16px;
        margin: 0;
        color: #FFB300;
    }
    .money {
        font-size: 18px;
    }
    .money-tip {
        display: inline-block;
        width: 5em;
        text-align: right;
    }
}

.nodata {
    background: #fff;
    text-align: center;
    position: fixed;
    width: 100%;
    max-width: 1600px;
    bottom: 75px;
    top: 180px;
    img {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
}
